# Generated by Django 4.0.1 on 2022-06-07 18:44

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Addresses',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50, null=True)),
                ('name', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=12)),
                ('pincode', models.IntegerField()),
                ('house', models.CharField(max_length=50)),
                ('area', models.CharField(max_length=50)),
                ('landmark', models.CharField(max_length=50, null=True)),
                ('town', models.CharField(max_length=50)),
                ('state', models.CharField(max_length=50)),
                ('typeof', models.CharField(max_length=50)),
                ('default', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Cards',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50)),
                ('card_type', models.CharField(max_length=50)),
                ('bank', models.CharField(max_length=50)),
                ('number', models.CharField(max_length=50)),
                ('name', models.CharField(max_length=50)),
                ('valid', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Cart',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.CharField(max_length=50)),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50, null=True)),
                ('product_name', models.CharField(max_length=100)),
                ('current_price', models.FloatField()),
                ('old_price', models.FloatField()),
                ('discount', models.IntegerField()),
                ('productImage', models.CharField(max_length=255)),
                ('status', models.BooleanField()),
                ('quantity', models.IntegerField(default=1)),
                ('size', models.CharField(max_length=50)),
                ('color', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('userImg', models.FileField(null=True, upload_to='static/user')),
                ('username', models.CharField(max_length=50, null=True)),
                ('email', models.EmailField(max_length=254, null=True)),
                ('contact', models.CharField(max_length=12, null=True)),
                ('dob', models.CharField(max_length=12, null=True)),
                ('gender', models.CharField(max_length=20, null=True)),
                ('password', models.CharField(max_length=100, null=True)),
                ('is_active', models.BooleanField()),
                ('date_joined', models.DateField(null=True)),
                ('seller_id', models.CharField(max_length=50, null=True)),
                ('wishlist_quantity', models.IntegerField(default=0)),
                ('cart_quantity', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.CharField(max_length=50)),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50)),
                ('product_name', models.CharField(max_length=100)),
                ('productImage', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_id', models.CharField(max_length=255)),
                ('product_id', models.CharField(max_length=50)),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50, null=True)),
                ('ordered', models.DateField()),
                ('ordered_time', models.TimeField(auto_now_add=True)),
                ('product_name', models.CharField(max_length=100)),
                ('current_price', models.FloatField()),
                ('old_price', models.FloatField()),
                ('discount', models.IntegerField()),
                ('productImage', models.CharField(max_length=255)),
                ('quantity', models.IntegerField(default=1)),
                ('status', models.CharField(default='Ongoing', max_length=50)),
                ('delivery_status', models.CharField(max_length=100, null=True)),
                ('size', models.CharField(max_length=50)),
                ('color', models.CharField(max_length=50)),
                ('delivery', models.IntegerField(default=None)),
                ('bag_total', models.FloatField()),
                ('delivery_charges', models.FloatField()),
                ('bag_savings', models.FloatField()),
                ('total', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='Wishlist',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.CharField(max_length=50)),
                ('customer_id', models.CharField(max_length=50)),
                ('seller_id', models.CharField(max_length=50, null=True)),
                ('product_name', models.CharField(max_length=100)),
                ('current_price', models.FloatField()),
                ('old_price', models.FloatField()),
                ('discount', models.IntegerField()),
                ('productImage', models.CharField(max_length=255)),
                ('status', models.BooleanField()),
            ],
        ),
    ]
